petsc-3.7.1 2016-05-15
Report Typos and Errors

# MatGetMultiProcBlock

Create multiple [bjacobi] 'parallel submatrices' from a given 'mat' object. Each submatrix can span multiple procs.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode   MatGetMultiProcBlock(Mat mat, MPI_Comm subComm, MatReuse scall,Mat *subMat)

Collective on Mat Many br

### Input Parameters

| mat | - the matrix Many br
| subcomm | - the subcommunicator obtained by com_split(comm) Many br
| scall | - either MAT_INITIAL_MATRIX or MAT_REUSE_MATRIX Many br

### Output Parameter

subMat -'parallel submatrices each spans a given subcomm Many br

### Notes

The submatrix partition across processors is dictated by 'subComm' a Many brcommunicator obtained by com_split(comm). The comm_split Many bris not restriced to be grouped with consecutive original ranks. Many br

Due the comm_split() usage, the parallel layout of the submatrices Many brmap directly to the layout of the original matrix [wrt the local Many brrow,col partitioning]. So the original 'DiagonalMat' naturally maps Many brinto the 'DiagonalMat' of the subMat, hence it is used directly from Many brthe subMat. However the offDiagMat looses some columns - and this is Many brreconstructed with MatSetValues() Many br

Many br

### See Also

MatGetSubMatrices()

Level:advanced
Location:src/mat/interface/matrix.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages